package com.huawei.FunctionGraph.JavaPlugin.tools;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.eclipse.core.runtime.ILog;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

import com.huawei.FunctionGraph.JavaPlugin.Activator;

public class FgsLog {

	private static ILog log = Activator.getDefault().getLog();

	public static void info(String message) {
		log.log(new Status(IStatus.INFO, Activator.PLUGIN_ID, 0, addTimePrefix(message), null));
	}

	public static void warning(String message) {
		log.log(new Status(IStatus.ERROR, Activator.PLUGIN_ID, 0, addTimePrefix(message), null));
	}

	private static String addTimePrefix(String message) {
		return "[" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + "] " + message;
	}

}
