package com.huawei.FunctionGraph.JavaPlugin.entity;

import org.eclipse.jdt.core.IType;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * java类实体
 * 
 * @author jWX606042
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ClassEntity {

    /**
     * 类所在包名
     */
    private String packageName;
    /**
     * 类名
     */
    private String className;
    /**
     * 类型
     */
    private IType type;
    /**
     * 类完全限定名
     */
    private String fullyQualifiedName;

}
